@echo off
cls

rem variables
rem =============================================
rem  vesrion of Celestia Origin
set "CO_VERSION=v.9 (30.08.2019)"

rem version of Celestia
set "CEL_VERSION=1.6.1"

rem path to original Celestia
set "BASEDIR=C:\Program Files\Celestia"

rem path to backup folder
set "BACKUPDIR=%BASEDIR%\backup"

rem path to script
set "SCRIPTDIR=%~dp0"

rem name of file containing the removing original Celestia's data
set "remove_list=windows_remove_list.txt"
rem =============================================

echo This is Celestia Origin %CO_VERSION% for Celestia %CEL_VERSION% uninstallation script.

rem admin checking
net session >nul 2>&1
if %errorlevel% neq 0 (
	echo Please run this script file as administrator.
	pause
	exit /b 1
)

rem path to backup file
echo Checking default Celestia's installation folder: %BASEDIR%...
if exist "%BASEDIR%\celestia.exe" (
	if exist "%BASEDIR%\backup\backup.zip" (goto next)
	) else (
	echo    There is no Celestia's installation in the specified folder.
)
set "BASEDIR=C:\Program Files (x86)\Celestia"
echo Checking default Celestia installation folder: %BASEDIR%...

:pathset
	if exist "%BASEDIR%\celestia.exe" (
		if exist "%BASEDIR%\backup\backup.zip" (goto next)
		) else (
	echo    There is no Celestia's installation in the specified folder. Please check the path to it.
	)
	choice /c yn /n /m "Try another path? (y/n)"
	call :answer
	set /P "BASEDIR=Please enter the path to Celestia installation: "
	goto pathset

:answer
	if %errorlevel% == 2 (
		echo The uninstallation aborted.
		pause
		exit
	)
	exit /b

:next
set "BACKUPDIR=%BASEDIR%\backup"
echo    Celestia Origin's installation was found in %BASEDIR%.
if exist "%BASEDIR%\backup\backup.zip" (goto next2)
echo But there is no original Celestia\047s backup data. The recovery can't be performed.
pause
exit

:next2
choice /c yn /n /m "Do you want to remove Celestia Origin and restore the original Celestia's data from the backup? (y/n)"
call :answer

echo    Uninstalling Celestia Origin...
for /f "UseBackQ delims=" %%i in ("%SCRIPTDIR%\lists\%remove_list%") do (
	if exist "%BASEDIR%\%%i\" (
		rem the item from the list is a directory
		rmdir /s /q "%BASEDIR%\%%i" >nul
	) else (
		if exist "%BASEDIR%\%%i" (
			rem the item from the list is a file
			del /f "%BASEDIR%\%%i" >nul
		)
	)
)
echo Celestia Origin's data was removed.

rem restore original Celestia's data
"%SCRIPTDIR%\modules\7z.exe" x -o"%BASEDIR%" "%BACKUPDIR%\backup.zip"
echo.
echo The original Celestia's data was restored from %BACKUPDIR%\backup.zip.

rem remove the backup folder
rmdir /s /q "%BACKUPDIR%" 2>nul
echo.
echo The backup copy was removed.

echo.
echo The uninstallation completed.

pause
